## lz4 1.9.4

=== contrib/gen_manual/Makefile ===
# ################################################################
# Copyright (C) Przemyslaw Skibinski 2016-present
# All rights reserved.
#
# BSD license
# Redistribution and use in source and binary forms, with or without modification,
# are permitted provided that the following conditions are met:
#
# * Redistributions of source code must retain the above copyright notice, this
#   list of conditions and the following disclaimer.
#
# * Redistributions in binary form must reproduce the above copyright notice, this
#   list of conditions and the following disclaimer in the documentation and/or
#   other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
# ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
# ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# You can contact the author at :
#  - LZ4 source repository : https://github.com/Cyan4973/lz4
#  - LZ4 forum froup : https://groups.google.com/forum/#!forum/lz4c
# ################################################################


CXXFLAGS ?= -O2
CXXFLAGS += -Wall -Wextra -Wcast-qual -Wcast-align -Wshadow -Wstrict-aliasing=1 -Wswitch-enum -Wno-comment
CPPFLAGS += $(MOREFLAGS)
FLAGS   = $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS)

LZ4API = ../../lib/lz4.h
LZ4MANUAL = ../../doc/lz4_manual.html
LZ4FAPI = ../../lib/lz4frame.h
LZ4FMANUAL = ../../doc/lz4frame_manual.html
LIBVER_MAJOR_SCRIPT:=`sed -n '/define LZ4_VERSION_MAJOR/s/.*[[:blank:]]\([0-9][0-9]*\).*/\1/p' < $(LZ4API)`
LIBVER_MINOR_SCRIPT:=`sed -n '/define LZ4_VERSION_MINOR/s/.*[[:blank:]]\([0-9][0-9]*\).*/\1/p' < $(LZ4API)`
LIBVER_PATCH_SCRIPT:=`sed -n '/define LZ4_VERSION_RELEASE/s/.*[[:blank:]]\([0-9][0-9]*\).*/\1/p' < $(LZ4API)`
LIBVER_SCRIPT:= $(LIBVER_MAJOR_SCRIPT).$(LIBVER_MINOR_SCRIPT).$(LIBVER_PATCH_SCRIPT)
LZ4VER := $(shell echo $(LIBVER_SCRIPT))

# Define *.exe as extension for Windows systems
ifneq (,$(filter Windows%,$(OS)))
EXT =.exe
else
EXT =
endif


.PHONY: default
default: gen_manual

gen_manual: gen_manual.cpp
	$(CXX) $(FLAGS) $^ -o $@$(EXT)

$(LZ4MANUAL) : gen_manual $(LZ4API)
	echo "Update lz4 manual in /doc"
	./gen_manual $(LZ4VER) $(LZ4API) $@

$(LZ4FMANUAL) : gen_manual $(LZ4FAPI)
	echo "Update lz4frame manual in /doc"
	./gen_manual $(LZ4VER) $(LZ4FAPI) $@

.PHONY: manuals
manuals: $(LZ4MANUAL) $(LZ4FMANUAL)

.PHONY: clean
clean:
	@$(RM) gen_manual$(EXT)
	@echo Cleaning completed

=== debian/changelog ===
lz4 (1.9.4-3) unstable; urgency=medium

  [ Kentaro Hayashi ]
  * Use CMake to build lz4. (Closes: #1073192)

  [ Nobuhiro Iwamatsu ]
  * d/rules:
    - Enforce --buildsystem=cmake.
    - Drop override_dh_auto_test.
  * d/control: Remove white space.
  * d/copyright: Update copyright year.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 23 Jul 2024 11:23:24 +0900

lz4 (1.9.4-2) unstable; urgency=medium

  * d/control: Drop transitional liblz4-tool package (Closes: #1032725)
  * d/clean: Add files created during testing (Closes: #1046472)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 03 Apr 2024 11:18:32 +0900

lz4 (1.9.4-1) unstable; urgency=medium

  * New upstream release.
  * Update d/patches.
    - Drop d/patches/0005-CVE-2021-3520.patch.
    - Refresh d/patches.
  * Update symboles file.
  * Update d/copyright.
  * Update d/control.
    - Add 'Rules-Requires-Root: no'.
    - Update Homepage field.
    - Update Standards-Version to 4.6.1.
  * d/watch: Update to version 4.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 28 Aug 2022 12:00:55 +0900

=== debian/control ===
Source: lz4
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 python3:any <!nocheck>,
 cmake (>= 2.8.12),
 libxxhash-dev,
 pkgconf
Standards-Version: 4.6.1
Section: utils
Rules-Requires-Root: no
Homepage: https://github.com/lz4/lz4
Vcs-Browser: https://salsa.debian.org/debian/lz4
Vcs-Git: https://salsa.debian.org/debian/lz4.git

Package: liblz4-dev
Section: libdevel
Architecture: any
Depends: liblz4-1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Fast LZ compression algorithm library - development files
 LZ4 is a very fast lossless compression algorithm, providing compression speed
 at 400 MB/s per core, scalable with multi-cores CPU. It also features an
 extremely fast decoder, with speed in multiple GB/s per core, typically
 reaching RAM speed limits on multi-core systems.
 .
 This package contains files that are needed to build applications.

Package: liblz4-1
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: liblz4-1a
Breaks: liblz4-1a
Multi-Arch: same
Description: Fast LZ compression algorithm library - runtime
 LZ4 is a very fast lossless compression algorithm, providing compression speed
 at 400 MB/s per core, scalable with multi-cores CPU. It also features an
 extremely fast decoder, with speed in multiple GB/s per core, typically
 reaching RAM speed limits on multi-core systems.
 .
 This package includes the shared library.

Package: lz4
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, liblz4-1 (= ${binary:Version})
Multi-Arch: foreign
Description: Fast LZ compression algorithm library - tool
 LZ4 is a very fast lossless compression algorithm, providing compression speed
 at 400 MB/s per core, scalable with multi-cores CPU. It also features an
 extremely fast decoder, with speed in multiple GB/s per core, typically
 reaching RAM speed limits on multi-core systems.
 .
 This package contains files that is tool using liblz4.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS:= $(shell dpkg-buildflags --get CPPFLAGS) -fvisibility=hidden -DLZ4F_PUBLISH_STATIC_FUNCTIONS
CFLAGS:= $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:= $(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:= $(shell dpkg-buildflags --get LDFLAGS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
PREFIX:= /usr

ifeq ($(origin CC),default)
CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

export CFLAGS
export CPPFLAGS
export LDFLAGS
export PREFIX

disable_test=0
ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
disable_test=1
endif

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=build/cmake -- \
		-DBUILD_STATIC_LIBS=ON \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## lz4 1.10.0

=== contrib/gen_manual/Makefile ===
--- 
+++ 
@@ -39,9 +39,9 @@
 LZ4MANUAL = ../../doc/lz4_manual.html
 LZ4FAPI = ../../lib/lz4frame.h
 LZ4FMANUAL = ../../doc/lz4frame_manual.html
-LIBVER_MAJOR_SCRIPT:=`sed -n '/define LZ4_VERSION_MAJOR/s/.*[[:blank:]]\([0-9][0-9]*\).*/\1/p' < $(LZ4API)`
-LIBVER_MINOR_SCRIPT:=`sed -n '/define LZ4_VERSION_MINOR/s/.*[[:blank:]]\([0-9][0-9]*\).*/\1/p' < $(LZ4API)`
-LIBVER_PATCH_SCRIPT:=`sed -n '/define LZ4_VERSION_RELEASE/s/.*[[:blank:]]\([0-9][0-9]*\).*/\1/p' < $(LZ4API)`
+LIBVER_MAJOR_SCRIPT:=`sed -n '/define[[:blank:]][[:blank:]]*LZ4_VERSION_MAJOR/s/.*[[:blank:]]\([0-9][0-9]*\).*/\1/p' < $(LZ4API)`
+LIBVER_MINOR_SCRIPT:=`sed -n '/define[[:blank:]][[:blank:]]*LZ4_VERSION_MINOR/s/.*[[:blank:]]\([0-9][0-9]*\).*/\1/p' < $(LZ4API)`
+LIBVER_PATCH_SCRIPT:=`sed -n '/define[[:blank:]][[:blank:]]*LZ4_VERSION_RELEASE/s/.*[[:blank:]]\([0-9][0-9]*\).*/\1/p' < $(LZ4API)`
 LIBVER_SCRIPT:= $(LIBVER_MAJOR_SCRIPT).$(LIBVER_MINOR_SCRIPT).$(LIBVER_PATCH_SCRIPT)
 LZ4VER := $(shell echo $(LIBVER_SCRIPT))

=== debian/changelog ===
lz4 (1.10.0-4build1) questing; urgency=medium

  * No-change rebuild for IEEE long double on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 22 Sep 2025 11:23:00 +0000

lz4 (1.10.0-4) unstable; urgency=medium

  * d/patches:
    - Update use-system-xxhash.patch. Fix library linking for lz4 command.
    - Add Create-softlink-for-lz4c.patch. (Closes: #1099464)
  * d/rules:
    - Enable multithreading. (Closes: #1096024)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 07 Mar 2025 18:20:43 +0900

lz4 (1.10.0-3) unstable; urgency=medium

  * Upload to unstable.
    - No change from experimental.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 23 Jan 2025 23:15:14 +0900

lz4 (1.10.0-2) experimental; urgency=medium

  * Update d/patches/use-system-xxhash.patch.
    - Add -lxxhash to liblz4.pc.in.
    - Drop compile definitipons 'XXH_NAMESPACE=LZ4_' with patch.
    (Closes: #1091188, #1085679, #1078995)
  * d/control: Add libxxhash-dev to B-D of liblz4-dev.
    (Closes: #1078134, #1077401)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 03 Jan 2025 07:59:41 +0900

lz4 (1.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 23 Jul 2024 11:35:48 +0900

lz4 (1.9.4-4) unstable; urgency=medium

  * Update d/patches/use-system-xxhash.patch.
    - Add -lxxhash to liblz4.pc.in.
  * d/control: Add libxxhash-dev to B-D of liblz4-dev.
    (Closes: #1078134, #1077401)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 03 Jan 2025 09:20:45 +0900

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Package: liblz4-dev
 Section: libdevel
 Architecture: any
-Depends: liblz4-1 (= ${binary:Version}), ${misc:Depends}
+Depends: liblz4-1 (= ${binary:Version}), libxxhash-dev, ${misc:Depends}
 Multi-Arch: same
 Description: Fast LZ compression algorithm library - development files
  LZ4 is a very fast lossless compression algorithm, providing compression speed

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CPPFLAGS:= $(shell dpkg-buildflags --get CPPFLAGS) -fvisibility=hidden -DLZ4F_PUBLISH_STATIC_FUNCTIONS
+CPPFLAGS:= $(shell dpkg-buildflags --get CPPFLAGS) -fvisibility=hidden -DLZ4F_PUBLISH_STATIC_FUNCTIONS -DLZ4IO_MULTITHREAD
 CFLAGS:= $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
 CXXFLAGS:= $(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
 LDFLAGS:= $(shell dpkg-buildflags --get LDFLAGS)
